---
title: "Patch a Webhook Configuration"
url: "https://developers.bynder.com/apis/webhooks-api/versions/876c7972-129f-4814-b12a-964ddc49f2b6/operations/PatchaWebhookConfiguration"
---

> Full API specification: https://developers.bynder.com/apis/webhooks-api/versions/876c7972-129f-4814-b12a-964ddc49f2b6.md

# Patch a Webhook Configuration

`PATCH` `/v7/webhooks/public/api/subscriptions/{id}`

Operation ID: `PatchaWebhookConfiguration`

Please be aware that using this endpoint requires the `Manage Webhooks configurations` security role.

## Path parameters

- `id` (string, required) - Webhook configuration ID.

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Webhook patched successfully

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Webhooks
  version: 1.0.0
servers:
  - url: https://{your-bynder-domain}/
    variables:
      your-bynder-domain:
        default: your-bynder-domainDefaultValue
paths:
  /v7/webhooks/public/api/subscriptions/{id}:
    parameters: []
    patch:
      deprecated: false
      description: Please be aware that using this endpoint requires the `Manage
        Webhooks configurations` security role.
      operationId: PatchaWebhookConfiguration
      parameters:
        - description: Webhook configuration ID.
          in: path
          name: id
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/ApiV7WebhooksPublicApiSubscriptionsRequest2"
        description: ""
        required: true
      responses:
        "200":
          content: {}
          description: Webhook patched successfully
          headers: {}
      summary: Patch a Webhook Configuration
      tags:
        - Configurations
components:
  schemas:
    ApiV7WebhooksPublicApiSubscriptionsRequest2:
      properties:
        name:
          examples:
            - Updated name via API
          type: string
        status:
          contentEncoding: int32
          examples:
            - 1
          type: integer
      title: ApiV7WebhooksPublicApiSubscriptionsRequest2
      type: object
```
